package javax.script;

import java.io.Reader;

public interface ScriptEngine
{
    public static final String ARGV = "javax.script.argv";
    public static final String FILENAME = "javax.script.filename";
    public static final String ENGINE = "javax.script.engine";
    public static final String ENGINE_VERSION = "javax.script.engine_version";
    public static final String NAME = "javax.script.name";
    public static final String LANGUAGE = "javax.script.language";
    public static final String LANGUAGE_VERSION = "javax.script.language_version";
    
    public abstract Object eval(String p0, ScriptContext p1) throws ScriptException;
    
    public abstract Object eval(Reader p0, ScriptContext p1) throws ScriptException;
    
    public abstract Object eval(String p0) throws ScriptException;
    
    public abstract Object eval(Reader p0) throws ScriptException;
    
    public abstract Object eval(String p0, Bindings p1) throws ScriptException;
    
    public abstract Object eval(Reader p0, Bindings p1) throws ScriptException;
    
    public abstract void put(String p0, Object p1);
    
    public abstract Object get(String p0);
    
    public abstract Bindings getBindings(int p0);
    
    public abstract void setBindings(Bindings p0, int p1);
    
    public abstract Bindings createBindings();
    
    public abstract ScriptContext getContext();
    
    public abstract void setContext(ScriptContext p0);
    
    public abstract ScriptEngineFactory getFactory();
}
